Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1319)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 1320)
@@ -20,5 +20,10 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -26,7 +31,4 @@
 ! $Id$
 !
-! 1318 2014-03-17 13:35:16Z raasch
-! module interfaces removed
-!
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
@@ -38,7 +40,4 @@
 ! 824 2012-02-17 09:09:57Z raasch
 ! particle attributes speed_x|y|z_sgs renamed rvar1|2|3
-!
-! 150 2008-02-29 08:19:58Z raasch
-! Vertical index calculations adjusted for ocean runs.
 !
 ! Initial version (2007/03/09)
@@ -61,27 +60,75 @@
 !------------------------------------------------------------------------------!
 
-    USE arrays_3d
-    USE control_parameters
-    USE cpulog
-    USE grid_variables
-    USE indices
-    USE particle_attributes
+    USE arrays_3d,                                                             &
+        ONLY:  zu, zw
+
+    USE control_parameters,                                                    &
+        ONLY:  dz, message_string, particle_maximum_age
+
+    USE cpulog,                                                                &
+        ONLY:  cpu_log, log_point_s
+
+    USE grid_variables,                                                        &
+        ONLY:  ddx, dx, ddy, dy
+
+    USE indices,                                                               &
+        ONLY:  nxl, nxr, nyn, nys, nz, nzb_s_inner
+
+    USE kinds
+
+    USE particle_attributes,                                                   &
+        ONLY:  deleted_particles, deleted_tails, ibc_par_b, ibc_par_t,         &
+               number_of_particles, particles, particle_mask,                  &
+               particle_tail_coordinates, particle_type, offset_ocean_nzt_m1,  &
+               tail_mask, use_particle_tails, use_sgs_for_particles
+
     USE pegrid
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  range
-
-    INTEGER ::  i, inc, ir, i1, i2, i3, i5, j, jr, j1, j2, j3, j5, k, k1, k2, &
-                k3, k5, n, nn, t_index, t_index_number
-
-    LOGICAL ::  reflect_x, reflect_y, reflect_z
-
-    REAL ::  dt_particle, pos_x, pos_x_old, pos_y, pos_y_old, pos_z, &
-             pos_z_old, prt_x, prt_y, prt_z, tmp_t, xline, yline, zline
-
-    REAL ::  t(1:200)
-
-
+    CHARACTER (LEN=*) ::  range     !:
+    
+    INTEGER(iwp) ::  i              !:
+    INTEGER(iwp) ::  inc            !:
+    INTEGER(iwp) ::  ir             !:
+    INTEGER(iwp) ::  i1             !:
+    INTEGER(iwp) ::  i2             !:
+    INTEGER(iwp) ::  i3             !:
+    INTEGER(iwp) ::  i5             !:
+    INTEGER(iwp) ::  j              !:
+    INTEGER(iwp) ::  jr             !:
+    INTEGER(iwp) ::  j1             !:
+    INTEGER(iwp) ::  j2             !:
+    INTEGER(iwp) ::  j3             !:
+    INTEGER(iwp) ::  j5             !:
+    INTEGER(iwp) ::  k              !:
+    INTEGER(iwp) ::  k1             !:
+    INTEGER(iwp) ::  k2             !:
+    INTEGER(iwp) ::  k3             !:
+    INTEGER(iwp) ::  k5             !:
+    INTEGER(iwp) ::  n              !:
+    INTEGER(iwp) ::  nn             !:
+    INTEGER(iwp) ::  t_index        !:
+    INTEGER(iwp) ::  t_index_number !:
+    
+    LOGICAL  ::  reflect_x   !:
+    LOGICAL  ::  reflect_y   !:
+    LOGICAL  ::  reflect_z   !:
+
+    REAL(wp) ::  dt_particle !:
+    REAL(wp) ::  pos_x       !:
+    REAL(wp) ::  pos_x_old   !:
+    REAL(wp) ::  pos_y       !:
+    REAL(wp) ::  pos_y_old   !:
+    REAL(wp) ::  pos_z       !:
+    REAL(wp) ::  pos_z_old   !:
+    REAL(wp) ::  prt_x       !:
+    REAL(wp) ::  prt_y       !:
+    REAL(wp) ::  prt_z       !:
+    REAL(wp) ::  t(1:200)    !:
+    REAL(wp) ::  tmp_t       !:
+    REAL(wp) ::  xline       !:
+    REAL(wp) ::  yline       !:
+    REAL(wp) ::  zline       !:
 
     IF ( range == 'bottom/top' )  THEN
